Bug 730595 - autofs doesn't seem to work
Summary: autofs doesn't seem to work
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: autofs
Version: 15
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Ian Kent
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-14 22:18 UTC by Ruth Ivimey-Cook
Modified: 2012-08-07 16:23 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 16:23:25 UTC


Attachments (Terms of Use)

Description Ruth Ivimey-Cook 2011-08-14 22:18:00 UTC
Description of problem:
I've a configuration of autofs I was using in conjunction with bacula and vchanger. It's pretty simple: auto.master line referencing auto.vchanger file that has "*  -fstype=auto,rw  :/dev/disk/by-uuid/&"

In f13 the very same configuration files worked. I can't make autofs do anything in F15. I can start the daemon and it appears to run but I can't make it actually mount anything. As well as the bacula uuid thing referenced I tried making /net work but it didn't.

Verbose logging of the daemon startup includes:
Aug 14 22:14:57 helva automount[3869]: master_do_mount: mounting /backup/bacula/pool1
Aug 14 22:14:57 helva automount[3869]: automount_path_to_fifo: fifo name /var/run/autofs.fifo-backup-bacula-pool1
Aug 14 22:14:57 helva automount[3869]: lookup_nss_read_map: reading map file /etc/auto.vchanger
Aug 14 22:14:57 helva automount[3869]: parse_init: parse(sun): init gathered global options: (null)
Aug 14 22:14:57 helva automount[3869]: remount_active_mount: trying to re-connect to mount /backup/bacula/pool1
Aug 14 22:14:57 helva automount[3869]: mounted indirect on /backup/bacula/pool1 with timeout 600, freq 150 seconds
Aug 14 22:14:57 helva automount[3869]: remount_active_mount: re-connected to mount /backup/bacula/pool1
Aug 14 22:14:57 helva automount[3869]: st_ready: st_ready(): state = 0 path /backup/bacula/pool1
Aug 14 22:14:57 helva automount[3869]: ghosting enabled

My apologies if this is user error but I can't see how at the moment...


Version-Release number of selected component (if applicable):
autofs-5.0.5-38.fc15.x86_64

How reproducible:
always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

# /etc/auto.vchanger

*          -fstype=auto,rw       :/dev/disk/by-uuid/&

# eof


#
# auto.master file
#
/misc   /etc/auto.misc
#
#
/net    -hosts

# Bring in bacula external disk drives
/backup/bacula/pool1    /etc/auto.vchanger    --timeout=600

Comment 1 Ian Kent 2011-08-21 04:13:04 UTC
(In reply to comment #0)
> Description of problem:
> I've a configuration of autofs I was using in conjunction with bacula and
> vchanger. It's pretty simple: auto.master line referencing auto.vchanger file
> that has "*  -fstype=auto,rw  :/dev/disk/by-uuid/&"
> 
> In f13 the very same configuration files worked. I can't make autofs do
> anything in F15. I can start the daemon and it appears to run but I can't make
> it actually mount anything. As well as the bacula uuid thing referenced I tried
> making /net work but it didn't.
> 
> Verbose logging of the daemon startup includes:

Can you post a debug log which includes some attempts to
access the mounts.

/proc/mounts might also be useful.

Ian

Comment 2 Fedora End Of Life 2012-08-07 16:23:27 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.